Platform
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/platform/invoices'{ "$schema": "https://example.com/schemas/PageInvoice.json", "data": [ { "$schema": "https://example.com/schemas/Invoice.json", "buyerEmail": "string", "buyerName": "string", "buyerTaxId": "string", "currency": "string", "id": "string", "issuedAt": "2019-08-24T14:15:22Z", "kind": "string", "lines": [ { "description": "string", "hsnSac": "string", "lineTotalMinor": 0, "quantity": 0, "taxMinor": 0, "taxRateBps": 0, "unitPriceMinor": 0 } ], "number": "string", "orderId": "string", "organizationId": "string", "placeOfSupply": "string", "reason": "string", "seller": { "address": "string", "name": "string", "state": "string", "taxId": "string" }, "sellerKind": "string", "taxComponents": [ { "amountMinor": 0, "baseMinor": 0, "effect": "string", "jurisdiction": "string", "key": "string", "kind": "string", "name": "string", "rateBps": 0 } ], "taxInclusive": true, "taxRegime": "string", "taxRuleVersion": "string", "taxableMinor": 0, "totalMinor": 0 } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/platform/kyc'{ "$schema": "https://example.com/schemas/PageKYCProfile.json", "data": [ { "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridocuments*array<>|nulleligibility*profile*settlement*curl -X GET 'https://example.com/api/v1/platform/kyc/string'{ "$schema": "https://example.com/schemas/Overview.json", "documents": [ { "$schema": "https://example.com/schemas/KYCDocument.json", "contentType": "string", "createdAt": "2019-08-24T14:15:22Z", "finalizedAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "sizeBytes": 0, "status": "string" } ], "eligibility": { "eligible": true, "kycStatus": "string", "settlementVerified": true }, "profile": { "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "settlement": { "$schema": "https://example.com/schemas/SettlementAccount.json", "accountNumber": "string", "beneficiaryName": "string", "branchCode": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "ifsc": "string", "updatedAt": "2019-08-24T14:15:22Z", "verificationNotes": "string", "verified": true, "verifiedAt": "2019-08-24T14:15:22Z" }}organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricontactEmail*stringcontactName*stringcontactPhone*stringcreatedAt*stringdate-timeentityType*stringlegalName*stringorganizationId*stringpan*stringregisteredAddress*stringregisteredCity*stringregisteredCountry*stringregisteredPostalCode*stringregisteredState*stringrejectionReason?stringreviewedAt?stringdate-timereviewedBy?stringstatus*stringsubmittedAt?stringdate-timetaxIdentifier*stringupdatedAt*stringdate-timecurl -X POST 'https://example.com/api/v1/platform/kyc/string/approve'{ "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z"}organization_id*stringdocument_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriurl*stringcurl -X GET 'https://example.com/api/v1/platform/kyc/string/documents/string/url'{ "$schema": "https://example.com/schemas/DocumentURLOutputBody.json", "url": "string"}organization_id*stringapplication/json- body
reason*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricontactEmail*stringcontactName*stringcontactPhone*stringcreatedAt*stringdate-timeentityType*stringlegalName*stringorganizationId*stringpan*stringregisteredAddress*stringregisteredCity*stringregisteredCountry*stringregisteredPostalCode*stringregisteredState*stringrejectionReason?stringreviewedAt?stringdate-timereviewedBy?stringstatus*stringsubmittedAt?stringdate-timetaxIdentifier*stringupdatedAt*stringdate-timecurl -X POST 'https://example.com/api/v1/platform/kyc/string/reject' \ -H 'Content-Type: application/json' \ -d '{ "reason": "string"}'{ "$schema": "https://example.com/schemas/KYCProfile.json", "contactEmail": "string", "contactName": "string", "contactPhone": "string", "createdAt": "2019-08-24T14:15:22Z", "entityType": "string", "legalName": "string", "organizationId": "string", "pan": "string", "registeredAddress": "string", "registeredCity": "string", "registeredCountry": "string", "registeredPostalCode": "string", "registeredState": "string", "rejectionReason": "string", "reviewedAt": "2019-08-24T14:15:22Z", "reviewedBy": "string", "status": "string", "submittedAt": "2019-08-24T14:15:22Z", "taxIdentifier": "string", "updatedAt": "2019-08-24T14:15:22Z"}organization_id*stringapplication/json- body
notes*stringpgAccountNumber*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaccountNumber*stringbeneficiaryName*stringbranchCode*stringcreatedAt*stringdate-timeid*stringifsc*stringupdatedAt*stringdate-timeverificationNotes?stringverified*booleanverifiedAt?stringdate-timecurl -X POST 'https://example.com/api/v1/platform/kyc/string/settlement/verify' \ -H 'Content-Type: application/json' \ -d '{ "notes": "string", "pgAccountNumber": "string"}'{ "$schema": "https://example.com/schemas/SettlementAccount.json", "accountNumber": "string", "beneficiaryName": "string", "branchCode": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "ifsc": "string", "updatedAt": "2019-08-24T14:15:22Z", "verificationNotes": "string", "verified": true, "verifiedAt": "2019-08-24T14:15:22Z"}OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaccountId*stringcapabilities*array<string>|nullrole*stringcurl -X GET 'https://example.com/api/v1/platform/me'{ "$schema": "https://example.com/schemas/MeOutputBody.json", "accountId": "string", "capabilities": [ "string" ], "role": "string"}organization_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriminPayoutMinor*integerint64requiresEventCompletion*booleanreserveBps*integerint64reserveFixedMinor*integerint64source*stringcurl -X GET 'https://example.com/api/v1/platform/payout-policies/string'{ "$schema": "https://example.com/schemas/PayoutPolicy.json", "minPayoutMinor": 0, "requiresEventCompletion": true, "reserveBps": 0, "reserveFixedMinor": 0, "source": "string"}organization_id*stringapplication/json- body
minPayoutMinor*integerint64requiresEventCompletion*booleanreserveBps*integerint64reserveFixedMinor*integerint64OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriminPayoutMinor*integerint64requiresEventCompletion*booleanreserveBps*integerint64reserveFixedMinor*integerint64source*stringcurl -X PUT 'https://example.com/api/v1/platform/payout-policies/string' \ -H 'Content-Type: application/json' \ -d '{ "minPayoutMinor": 0, "requiresEventCompletion": true, "reserveBps": 0, "reserveFixedMinor": 0}'{ "$schema": "https://example.com/schemas/PayoutPolicy.json", "minPayoutMinor": 0, "requiresEventCompletion": true, "reserveBps": 0, "reserveFixedMinor": 0, "source": "string"}limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/platform/payouts'{ "$schema": "https://example.com/schemas/PagePayout.json", "data": [ { "$schema": "https://example.com/schemas/Payout.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "failureReason": "string", "id": "string", "merchantAccountId": "string", "orderId": "string", "organizationId": "string", "providerOrderId": "string", "providerPaymentId": "string", "providerTransferId": "string", "reserveMinorUnits": 0, "settledAt": "2019-08-24T14:15:22Z", "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}status?stringFilter by case status
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/platform/reconciliation-cases'{ "$schema": "https://example.com/schemas/PageReconciliationCase.json", "data": [ { "$schema": "https://example.com/schemas/ReconciliationCase.json", "createdAt": "2019-08-24T14:15:22Z", "detail": "string", "id": "string", "kind": "string", "orderId": "string", "organizationId": "string", "resolution": "string", "resolvedAt": "2019-08-24T14:15:22Z", "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}case_id*stringapplication/json- body
resolution*stringstatus*string"resolved""ignored"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricreatedAt*stringdate-timedetail*stringid*stringkind*stringorderId?stringorganizationId*stringresolution?stringresolvedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/platform/reconciliation-cases/string/resolve' \ -H 'Content-Type: application/json' \ -d '{ "resolution": "string", "status": "resolved"}'{ "$schema": "https://example.com/schemas/ReconciliationCase.json", "createdAt": "2019-08-24T14:15:22Z", "detail": "string", "id": "string", "kind": "string", "orderId": "string", "organizationId": "string", "resolution": "string", "resolvedAt": "2019-08-24T14:15:22Z", "status": "string"}limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/platform/staff'{ "$schema": "https://example.com/schemas/PageStaff.json", "data": [ { "$schema": "https://example.com/schemas/Staff.json", "accountId": "string", "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "grantedBy": "string", "role": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}application/json- body
accountId*stringAccount to grant a platform role to
role*string"platform_admin""platform_finance"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaccountId*stringcapabilities*array<string>|nullcreatedAt*stringdate-timegrantedBy?stringrole*stringupdatedAt*stringdate-timecurl -X POST 'https://example.com/api/v1/platform/staff' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "role": "platform_admin"}'{ "$schema": "https://example.com/schemas/Staff.json", "accountId": "string", "capabilities": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "grantedBy": "string", "role": "string", "updatedAt": "2019-08-24T14:15:22Z"}account_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
urirevoked*booleancurl -X DELETE 'https://example.com/api/v1/platform/staff/string'{ "$schema": "https://example.com/schemas/RevokeOutputBody.json", "revoked": true}